.clsHidden {
    display: none !important;
}

.cssToggleButtonSwitch {
    position: relative;
    display: inline-block;
    width: 47px;
    height: 20px;
}

.cssToggleButtonSwitch input {
    display: none;
}

.cssToggleButtonSlider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.cssToggleButtonSlider:before {
    position: absolute;
    content: "";
    height: 14px;
    width: 14px;
    left: 4px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

.cssToggleButtonSwitch input:checked+.cssToggleButtonSlider {
    background-color: #2196F3;
}

.cssToggleButtonSwitch input:focus+.cssToggleButtonSlider {
    box-shadow: 0 0 1px #2196F3;
}

.cssToggleButtonSwitch input:checked+.cssToggleButtonSlider:before {
    -webkit-transform: translateX(30px);
    -ms-transform: translateX(30px);
    transform: translateX(30px);
}

.cssToggleButtonSlider.round {
    border-radius: 34px;
}

.cssToggleButtonSlider.round:before {
    border-radius: 50%;
}

.divPagerContainer {
    float: right
}

.divPageSize {
    color: #353535;
    display: inline-block;
    margin-right: 10px;
}

.divPageSize select {
    height: 18px;
}

.barcode-scanner-popup {
    width: 70%;
    margin: auto;
    box-shadow: 0 64px 64px #00000005, 0 32px 32px #00000005, 0 16px 16px #00000005, 0 8px 8px #00000005, 0 4px 4px #00000005, 0 2px 2px #00000005;
    border-radius: 3px;
    background-color: #ffff;
    position: relative;
    height: 550px;
    z-index: 2;
}


.barcode-scanner-popup .barcode-scanner {
    border-collapse: collapse;
    border-spacing: 0;
    color: #4a4a4a;
    font-size: 13px;
    width: 100%;
    border: 1px solid #e9e9e9;
}


.barcode-scanner-popup .barcode-scanner td {
    border-top: 1px solid #e9e9e9;
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    overflow: hidden;
    padding: 5px 10px;
    word-break: normal;
    text-align: left;
    color: #9b9b9b;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 50px;
}

.barcode-scanner-popup .barcode-scanner .bg-color {
    background-color: #fbfbfb;
}

.barcode-scanner-popup .barcode-scanner th {
    border-top: 1px solid #e9e9e9;
    border-right: 1px solid #e9e9e9;
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    overflow: hidden;
    padding: 5px 10px;
    word-break: normal;
    text-align: left;
    color: #4a4a4a;
}



.barcode-scanner-popup .wfx-popup-header {
    padding: 35px 35px 0;
}


.barcode-scanner-popup .wfx-section-header {
    font-size: 27px;
    font-weight: 300 !important;
    color: #4a4a4a;
    font-family: "Open Sans", sans-serif;
    line-height: 33px;
}

.barcode-scanner-popup .remove-icon {
    position: absolute !important;
    right: 6px !important;
    top: 6px !important;
    padding: 0 6px !important;
    z-index: 999;
    cursor: pointer;
}

.barcode-scanner-popup .remove-icon svg path {
    stroke: transparent !important;
    fill: #9b9b9b;
}

.barcode-scanner-popup .remove-icon:hover svg path {
    stroke: transparent;
    fill: #4a4a4a !important;
}

.barcode-scanner-popup .dialog-close-icon-position {
    width: 14px;
    height: 33px;
    line-height: 33px;

}

.barcode-scanner-popup .wfx-popup-content-container {
    margin-top: 35px;
    padding: 0 35px;
    position: relative;
    overflow-y: auto;
}


.barcode-scanner-popup .wfx-popup-content-container .square-checkbox {
    width: 20px;
    padding: 3px 10px 0;
}

/*   sqaure checkbox */

.checkbox {
    position: relative;
    overflow: hidden;
}

.checkbox__input {
    position: absolute;
    top: -100px;
    left: -100px;
}

.checkbox__inner {
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 3px;
    border: 1px solid #ccc;
    background: transparent no-repeat center;
}

.checkbox__input:checked+.checkbox__inner {
    border-color: #3cbbc9;
    background-color: #3cbbc9;
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg width='14px' height='10px' viewBox='0 0 14 10' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3C!-- Generator: Sketch 59.1 (86144) - https://sketch.com --%3E%3Ctitle%3Echeck%3C/title%3E%3Cdesc%3ECreated with Sketch.%3C/desc%3E%3Cg id='Page-1' stroke='none' stroke-width='1' fill='none' fill-rule='evenodd'%3E%3Cg id='ios_modification' transform='translate(-27.000000, -191.000000)' fill='%23FFFFFF' fill-rule='nonzero'%3E%3Cg id='Group-Copy' transform='translate(0.000000, 164.000000)'%3E%3Cg id='ic-check-18px' transform='translate(25.000000, 23.000000)'%3E%3Cpolygon id='check' points='6.61 11.89 3.5 8.78 2.44 9.84 6.61 14 15.56 5.05 14.5 4'%3E%3C/polygon%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
    background-size: 14px 10px;
}


/*   sqaure checkbox */




.barcode-scanner-popup .barcode-scanner td.delete-icon {
    cursor: pointer;
    text-align: center;
}

.barcode-scanner-popup .barcode-scanner .delete-icon svg path {
    fill: #9b9b9b;
    stroke: none;
}


.barcode-scanner-popup .barcode-scanner .delete-icon:hover svg path {
    fill: #4a4a4a;
    stroke: none;
}



.barcode-scanner-popup .wfx-popup-footer-container {
    padding: 0 35px 35px;
    margin-top: 25px;
    display: flex;
    justify-content: end;
    column-gap: 25px;
}

.barcode-scanner-popup .save-button {
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    text-align: right;
    color: #3cbbc9;
    cursor: pointer;
    text-transform: uppercase;
}

.barcode-scanner-popup .text-center {
    text-align: center !important;
}

::-webkit-scrollbar {
    width: 7px;
    height: 7px;
    margin-right: 5px;
    padding-right: 5px;
}

::-webkit-scrollbar-corner {
    background: transparent;
    margin-bottom: 5px;
}

::-webkit-scrollbar-thumb {
    border-radius: 5.5px;
    background: #d6d6d6;
    right: 5px;
}

.barcode-scanner-popup .bottomPanel {
    width: 100%;
    position: absolute;
    bottom: 0;
    background-color: #fff;
    transition: .5s;
    font-size: 11px;
    border-top: 1px solid #e9e9e9;
    z-index: 2;
    box-shadow: 0 2px 2px #00000005, 0 -4px 4px #00000005, 0 -8px 8px #00000005, 0 -16px 16px #00000005, 0 -32px 32px #00000005, 0 -64px 64px #00000005;
    height: 70px;
}

.barcode-scanner-popup .bottomPanelOpenHeight {
    height: 70px;
}

.barcode-scanner-popup .bottomPanel .bottomPanelWrapper {
    padding: 23px 50px;
    display: flex;
    flex-wrap: wrap;
    position: relative;
    flex: 0 0 100%;
    max-width: 100%;
}

.barcode-scanner-popup .bottomPanel .bottomleft {
    display: flex;
    align-items: baseline;

}

.barcode-scanner-popup-backdrop {
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, .288) !important;
    z-index: 1000;
}

.barcode-scanner-popup .bottomPanel .bottomleft .bottom-checkbox {
    display: inline-block;
    margin-right: 12px;
}

.barcode-scanner-popup .bottomPanel .bottomleft .bottom-label {
    display: flex;
    align-items: center;
}

.barcode-scanner-popup .bottomPanel .bottomleft .bottom-label .selected {
    color: #4a4a4a;
    font-size: 13px;
    font-family: "Open Sans", sans-serif;
}

.barcode-scanner-popup .bottomPanel .bottomleft .bottom-label strong {
    font-size: 11px;
    border-radius: 100px;
    background: #3cbbc9;
    color: #fff;
    padding: 2px 10px;
    margin: 0px 6px 0 0;
    font-family: "Open Sans", sans-serif;

}

.barcode-scanner-popup .bottomPanel .bottomcenter {
    margin: auto;
    text-align: center;
}

.barcode-scanner-popup .bottomPanel .bottomcenter .item-bottom-icons {
    display: inline-block;
}

.barcode-scanner-popup .bottomPanel Svg {
    padding: 0 15px;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.barcode-scanner-popup .bottomPanel input[type="radio"] {
    width: 20px;
    height: 20px;
    border: 1px solid #e9e9e9;
    border-radius: 50%;
}

.barcode-scanner-popup .bottomPanel Svg path {
    fill: #9b9b9b;
    stroke: none;
}


.barcode-scanner-popup .bottomPanel Svg:hover path {
    fill: #4a4a4a;
    stroke: none;
}


.barcode-scanner-popup .bottomPanel .bottomright {
    min-width: 160px;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-size: 11px;
    color: #4a4a4a;
    font-family: Open sans;
    overflow: hidden;
    padding: 10px 0;
}

.barcode-scanner-popup .confirmation-popup .confirm_icon {
    width: 75px;
    line-height: 5px;
    vertical-align: middle;
    display: inline-block;
    margin: 0 0 0 -1px;
    text-align: center;
    padding: 50px 0;
    border-radius: 3px 0 0 3px;
    background: linear-gradient(92.58deg, #00d1cf 0%, #0099c4 100%);
}

.confirmation-popup .confirm_msg {
    vertical-align: middle;
    display: inline-block;
    padding-left: 15px;
    padding-right: 15px;
}

.confirmation-popup .dialog-container {
    box-shadow: 0 64px 64px #00000005, 0 32px 32px #00000005, 0 16px 16px #00000005, 0 8px 8px #00000005, 0 4px 4px #00000005, 0 2px 2px #00000005;
    border-radius: 3px;
    min-width: 240px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    z-index: 1;
    transition: .5s;
}

.confirmation-popup .confirmation-title {
    font-size: 13px !important;
    margin: 0 !important;
    padding: 0 0 2px !important;
    font-weight: 700 !important;
    color: #4a4a4a !important;
}

.confirmation-popup .continue-confirmation {
    font-size: 13px !important;
    color: #4a4a4a !important;
    margin: 0;
    line-height: 18px;
}

.confirmation-popup .no-btn {
    background: none;
    border: none;
    color: #3cbbc9;
    font-size: 13px;
    cursor: pointer;
}

.confirmation-popup .yes-btn {
    background: none;
    border: none;
    color: #4a4a4a;
    font-size: 13px;
    cursor: pointer;
}

.confirmation-popup .confimation-btns {
    display: flex;
    justify-content: end;
    margin-top: 10px;
}

.confirmation-popup {
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .288) !important;
    z-index: 1000;
}


.barcode-scanner-popup .bottomPanel .bottomleft .round {
    position: relative;
    margin-right: 15px;
}

.barcode-scanner-popup .bottomPanel .bottomleft .round label {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 50%;
    cursor: pointer;
    height: 20px;
    left: 0;
    position: absolute;
    top: 0;
    width: 20px;
}

.barcode-scanner-popup .bottomPanel .bottomleft .round label:after {
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    content: "";
    height: 6px;
    left: 3px;
    opacity: 0;
    position: absolute;
    top: 4px;
    transform: rotate(-45deg);
    width: 12px;
}

.barcode-scanner-popup .bottomPanel .bottomleft .round input[type="checkbox"] {
    visibility: hidden;
}

.barcode-scanner-popup .bottomPanel .bottomleft .round input[type="checkbox"]:checked+label {
    background-color: #3cbbc9;
    border-color: #3cbbc9;
}

.barcode-scanner-popup .bottomPanel .bottomleft .round input[type="checkbox"]:checked+label:after {
    opacity: 1;
}

.location-popup-backdrop {
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, .288) !important;
    z-index: 1000;
}

.location-popup {
    width: 30%;
    margin: auto;
    box-shadow: 0 64px 64px #00000005, 0 32px 32px #00000005, 0 16px 16px #00000005, 0 8px 8px #00000005, 0 4px 4px #00000005, 0 2px 2px #00000005;
    border-radius: 3px;
    background-color: #ffff;
    position: relative;
    height: auto;
    z-index: 2;
}

.location-popup .wfx-popup-header {
    padding: 35px 35px 0;
}

.location-popup .wfx-section-header {
    font-size: 27px;
    font-weight: 300 !important;
    color: #4a4a4a;
    font-family: "Open Sans", sans-serif;
    line-height: 33px;
}

.location-popup .dialog-close-icon-position {
    width: 14px;
    height: 33px;
    line-height: 33px;
}

.location-popup .remove-icon {
    position: absolute !important;
    right: 6px !important;
    top: 6px !important;
    padding: 0 6px !important;
    z-index: 999;
    cursor: pointer;
}

.location-popup .wfx-popup-content-container {
    margin-top: 35px;
    padding: 0 35px;
    position: relative;
    overflow-y: auto;
}

.location-popup .location-scanner {
    border-collapse: collapse;
    border-spacing: 0;
    color: #4a4a4a;
    font-size: 13px;
    width: 70%;
    border: 1px solid #e9e9e9;
}

.location-popup .location-scanner th,
.location-popup .location-scanner td {
    border: 1px solid #e9e9e9;
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    overflow: hidden;
    padding: 5px 10px;
    word-break: normal;
    text-align: left;
    color: #4a4a4a;
}

.location-popup .wfx-popup-footer-container {
    padding: 0 35px 35px;
    margin-top: 25px;
    display: flex;
    justify-content: end;
    column-gap: 25px;
}

.location-popup .save-button {
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    text-align: right;
    color: #3cbbc9;
    cursor: pointer;

}

/* extra */
#location_data {
    height: 22px;
}

/*Tggle Switch*/
.switch-barcode {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 10px;
}

.switch-barcode input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider-barcode {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider-barcode:before {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    left: 4px;
    bottom: 1px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider-barcode {
    background-color: #2196F3;
}

input:focus+.slider-barcode {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider-barcode:before {
    -webkit-transform: translateX(15px);
    -ms-transform: translateX(15px);
    transform: translateX(15px);
}

/* Rounded sliders */
.slider-barcode.round-barcode {
    border-radius: 34px;
}

.slider-barcode.round-barcode:before {
    border-radius: 50%;
}

.gdn-popup-backdrop {
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, .288) !important;
    z-index: 1000;
}

.gdn-popup {
    width: 35%;
    margin: auto;
    box-shadow: 0 64px 64px #00000005, 0 32px 32px #00000005, 0 16px 16px #00000005, 0 8px 8px #00000005, 0 4px 4px #00000005, 0 2px 2px #00000005;
    border-radius: 3px;
    background-color: #ffff;
    position: relative;
    height: auto;
    z-index: 2;
}

.gdn-popup .wfx-popup-header {
    padding: 35px 35px 0;
}

.gdn-popup .wfx-section-header {
    font-size: 27px;
    font-weight: 300 !important;
    color: #4a4a4a;
    font-family: "Open Sans", sans-serif;
    line-height: 33px;
}

.gdn-popup .dialog-close-icon-position {
    width: 14px;
    height: 33px;
    line-height: 33px;
}

.gdn-popup .remove-icon {
    position: absolute !important;
    right: 6px !important;
    top: 6px !important;
    padding: 0 6px !important;
    z-index: 999;
    cursor: pointer;
}

.gdn-popup .wfx-popup-content-container {
    margin-top: 35px;
    padding: 0 35px;
    position: relative;
    overflow-y: auto;
}

.gdn-popup .gdn-scanner {
    border-collapse: collapse;
    border-spacing: 0;
    color: #4a4a4a;
    font-size: 13px;
    width: 70%;
    border: 1px solid #e9e9e9;
}

.gdn-popup .gdn-scanner th,
.gdn-popup .gdn-scanner td {
    border: 1px solid #e9e9e9;
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    overflow: hidden;
    padding: 5px 10px;
    word-break: normal;
    text-align: left;
    color: #4a4a4a;
}

.gdn-popup .gdn-scanner thead {
    font-weight: bold;
}

.gdn-popup .wfx-popup-footer-container {
    padding: 0 35px 35px;
    margin-top: 25px;
    display: flex;
    justify-content: end;
    column-gap: 25px;
}

.gdn-popup .save-button {
    font-family: "Open Sans", sans-serif;
    font-size: 13px;
    text-align: right;
    color: #3cbbc9;
    cursor: pointer;

}

/* extra */
#gdn_data {
    height: 22px;
}